
import pygame
from pygame.locals import *

from OpenGL.GL import *

class GraphicsContainer:
	def __init__(self):
		self.drawlist = []
		self.rot = None
		self.scale = None
		self.offset = None

	def draw(self):
		#glPushMatrix()
		if not self.rot is None:
			glRotatef(self.rot)
		if not self.scale is None:
			glScale(self.scale[0],self.scale[1],1)
		if not self.offset is None:
			glTransformf(self.offset[0],self,offset[1],0)
		    
		for d in self.drawlist:
			d.draw()

		#glPopMatrix()



